Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.beasys.commerce.foundation.exception
Class PipelineException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--java.lang.RuntimeException
                        |
                        +--javax.ejb.EJBException
                              |
                              +--com.beasys.commerce.foundation.exception.SystemException
                                    |
                                    +--com.beasys.commerce.foundation.exception.PipelineException

Deprecated. Use com.bea.p13n.appflow.exception.PipelineException

public class PipelineException
extends SystemException

A `PipelineException` exception signals a fatal error in the pipeline sub-system.

Note: Throughout this API documentation namespace refers to the resource bundle that contains the catalog of exception messages. Refer to the `MessageCatalog` API documentation for further details.

See Also:
  `MessageCatalog`, Serialized Form

Field Summary
`static java.lang.String` | `MESSAGE_NAMESPACE` Deprecated. The name of the resource bundle

Fields inherited from class com.beasys.commerce.foundation.exception.SystemException
`logMessages, userMessages`

Constructor Summary
`PipelineException(java.lang.String messageKey)` Deprecated. Class constructor taking the key of the associated catalog message.
`PipelineException(java.lang.String namespace, java.lang.String messageKey, java.lang.Object argument, java.lang.Exception exception)` Deprecated. Class constructor taking the namespace and key of the associated catalog message, message parameter substitution argument, and an embedded exception.

Method Summary
`java.lang.Exception` | `getEmbeddedException()` Deprecated.
`void` | `setEmbeddedException(java.lang.Exception exception)` Deprecated. Associates a given exception with this exception.

Methods inherited from class com.beasys.commerce.foundation.exception.SystemException
`addLogMessage, addLogMessage, addLogMessage, addMessage, addMessage, addMessage, addUserMessage, addUserMessage, addUserMessage, getLocalizedMessage, getLogMessage, getLogMessages, getMessage, getUserMessage, getUserMessages, toString`

Methods inherited from class javax.ejb.EJBException
`getCausedByException, printStackTrace, printStackTrace, printStackTrace`

Methods inherited from class java.lang.Throwable
`fillInStackTrace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### MESSAGE_NAMESPACE

    public static final java.lang.String MESSAGE_NAMESPACE

  Deprecated.
  The name of the resource bundle

Constructor Detail

### PipelineException

    public PipelineException(java.lang.String messageKey)

  Deprecated.
  Class constructor taking the key of the associated catalog message.

  Parameters:
    `messageKey` - The associated catalog message key.

### PipelineException

    public PipelineException(java.lang.String namespace,
                             java.lang.String messageKey,
                             java.lang.Object argument,
                             java.lang.Exception exception)

  Deprecated.
  Class constructor taking the namespace and key of the associated catalog message, message parameter substitution argument, and an embedded exception.

  Parameters:
    `namespace` - The associated catalog message namespace.
    `messageKey` - The associated catalog message key.
    `argument` - The message parameter substitution argument.
    `exception` - The embedded exception.

Method Detail

### getEmbeddedException

    public java.lang.Exception getEmbeddedException()

  Deprecated.

  Overrides:
    getEmbeddedException in class SystemException

### setEmbeddedException

    public void setEmbeddedException(java.lang.Exception exception)

  Deprecated.
  Associates a given exception with this exception.

  Parameters:
    `exception` - The new embedded exception.

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 BEA Systems, Inc. All Rights Reserved